Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class ResourceValue

    java.lang.Object
      org.jboss.portal.wsrp.core.ResourceValue

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceValue

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected java.lang.String` | `lang`
`protected java.lang.String` | `value`

Constructor Summary
`ResourceValue()`
`ResourceValue(java.lang.String lang, java.lang.String value, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getValue()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setLang(java.lang.String lang)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lang

    protected java.lang.String lang

### value

    protected java.lang.String value

### extensions

    protected Extension[] extensions

Constructor Detail

### ResourceValue

    public ResourceValue()

### ResourceValue

    public ResourceValue(java.lang.String lang,
                         java.lang.String value,
                         Extension[] extensions)

Method Detail

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String lang)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD